OGRE: Ogre::PCZRaySceneQuery Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::PCZRaySceneQuery Class Reference

PCZ implementation of RaySceneQuery. More...

`#include <OgrePCZSceneQuery.h>`

Inheritance diagram for Ogre::PCZRaySceneQuery:
[legend]

## Public Member Functions
| PCZRaySceneQuery (SceneManager *creator)
| ~PCZRaySceneQuery ()
void | execute (RaySceneQueryListener *listener) override
| See RayScenQuery.
void | setExcludeNode (SceneNode *excludeNode)
| set node to exclude from query
void | setStartZone (PCZone *startZone)
| set the zone to start the scene query
Public Member Functions inherited from Ogre::DefaultRaySceneQuery
| DefaultRaySceneQuery (SceneManager *creator)
| ~DefaultRaySceneQuery ()
Public Member Functions inherited from Ogre::RaySceneQuery
| RaySceneQuery (SceneManager *mgr)
virtual | ~RaySceneQuery ()
void | clearResults (void)
| Clears the results of the last query execution.
virtual RaySceneQueryResult & | execute (void)
| Executes the query, returning the results back in one list.
const RaySceneQueryResult & | getLastResults (void) const
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
virtual ushort | getMaxResults (void) const
| Gets the maximum number of results returned from the query (only relevant if results are being sorted).
virtual const Ray & | getRay (void) const
| Gets the ray which is to be used for this query.
virtual bool | getSortByDistance (void) const
| Gets whether the results are sorted by distance.
bool | queryResult (MovableObject *obj, Real distance) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (SceneQuery::WorldFragment *fragment, Real distance) override
| Self-callback in order to deal with execute which returns collection.
virtual void | setRay (const Ray &ray)
| Sets the ray which is to be used for this query.
virtual void | setSortByDistance (bool sort, ushort maxresults=0)
| Sets whether the results of this query will be sorted by distance along the ray.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask (void) const
| Returns the current mask for this query.
virtual uint32 | getQueryTypeMask (void) const
| Returns the current mask for this query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setQueryTypeMask (uint32 mask)
| Sets the type mask for results of this query.
Public Member Functions inherited from Ogre::RaySceneQueryListener
virtual | ~RaySceneQueryListener ()

## Additional Inherited Members
Public Types inherited from Ogre::SceneQuery
typedef Ogre::WorldFragment | WorldFragment

## Detailed Description

PCZ implementation of RaySceneQuery.

## Constructor & Destructor Documentation

## ◆ PCZRaySceneQuery()

Ogre::PCZRaySceneQuery::PCZRaySceneQuery | ( | SceneManager * | creator | ) |

## ◆ ~PCZRaySceneQuery()

Ogre::PCZRaySceneQuery::~PCZRaySceneQuery | ( |  | ) |

## Member Function Documentation

## ◆ execute()

void Ogre::PCZRaySceneQuery::execute | ( | RaySceneQueryListener * | listener | ) |
| overridevirtual

See RayScenQuery.

Reimplemented from Ogre::DefaultRaySceneQuery.

## ◆ setStartZone()

void Ogre::PCZRaySceneQuery::setStartZone | ( | PCZone * | startZone | ) |
| inline

set the zone to start the scene query

## ◆ setExcludeNode()

void Ogre::PCZRaySceneQuery::setExcludeNode | ( | SceneNode * | excludeNode | ) |
| inline

set node to exclude from query

The documentation for this class was generated from the following file:

- OgrePCZSceneQuery.h